Loading...
Searching...
No Matches
ClpSimplex.hpp File Reference
`#include <iostream>`
`#include <cfloat>`
`#include "ClpModel.hpp"`
`#include "ClpMatrixBase.hpp"`
`#include "ClpSolve.hpp"`
`#include "ClpConfig.h"`
`#include "CoinIndexedVector.hpp"`
Include dependency graph for ClpSimplex.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | ClpSimplex
| This solves LPs using the simplex method. More...
struct | clpTempInfo

## Macros

#define | ABC_CLP_DEFAULTS 1
#define | cilk_spawn
#define | cilk_sync
#define | SHORT_REGION 2
#define | SHORT_REGION 2
#define | DEVEX_TRY_NORM 1.0e-4
#define | DEVEX_ADD_ONE 1.0
#define | abcState 0
data. Many arrays have a row part and a column part.
There is a single array with both - columns then rows and then normally two arrays pointing to rows and columns. The single array is the owner of memory
#define | CLP_INFEAS_SAVE 5
| Last few infeasibilities.
#define | CLP_ABC_BEEN_FEASIBLE 65536

## Functions

void | ClpSimplexUnitTest (const std::string &mpsDir)
| A function that tests the methods in the ClpSimplex class.

## Macro Definition Documentation

## ABC_CLP_DEFAULTS

#define ABC_CLP_DEFAULTS 1

Definition at line 46 of file ClpSimplex.hpp.

## cilk_spawn

#define cilk_spawn

Definition at line 71 of file ClpSimplex.hpp.

## cilk_sync

#define cilk_sync

Definition at line 72 of file ClpSimplex.hpp.

## SHORT_REGION [1/2]

#define SHORT_REGION 2

Definition at line 77 of file ClpSimplex.hpp.

## SHORT_REGION [2/2]

#define SHORT_REGION 2

Definition at line 77 of file ClpSimplex.hpp.

## CLP_INFEAS_SAVE

#define CLP_INFEAS_SAVE 5

Last few infeasibilities.

Definition at line 1818 of file ClpSimplex.hpp.

## CLP_ABC_BEEN_FEASIBLE

#define CLP_ABC_BEEN_FEASIBLE 65536

Definition at line 1960 of file ClpSimplex.hpp.

## DEVEX_TRY_NORM

#define DEVEX_TRY_NORM 1.0e-4

Definition at line 1989 of file ClpSimplex.hpp.

## DEVEX_ADD_ONE

#define DEVEX_ADD_ONE 1.0

Definition at line 1990 of file ClpSimplex.hpp.

## abcState

#define abcState 0

Definition at line 2114 of file ClpSimplex.hpp.

## Function Documentation

## ClpSimplexUnitTest()

void ClpSimplexUnitTest | ( | const std::string & | mpsDir | ) |

A function that tests the methods in the ClpSimplex class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.

It also does some testing of ClpFactorization class